%define major 0
%define apiversion 0.2
%define libname %mklibname %{name} %{apiversion} %{major}
%define develname %mklibname %{name} -d

Summary:	Adavanced archive manager for the Xfce
Summary(de):	Fortgeschrittene Archivverwaltung für Xfce
Name:		squeeze
Version:	0.2.3
Release:	%mkrel 5
License:	GPlv2+
Group:		Graphical desktop/Xfce
Url:		http://squeeze.xfce.org
Source0:	http://squeeze.xfce.org/downloads/%{name}-%{version}.tar.xz
Patch0:		%{name}-0.2.1-TreeView-border.patch
Patch1:		%{name}-0.2.1-recent-documents.patch
BuildRequires:	libxfce4util-devel
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	thunar-vfs-devel
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Squeeze is a modern and advanced archive manager for 
the Xfce Desktop Environment. Its design adheres to the 
Xfce philosophy, which basically means Squeeze is both 
fast and easy to use.

%description -l de
Squeeze ist ein moderner Archivmanager für den Xfce Desktop.
Es ist im Einklang mit der Xfce Philosophie designt, welche
grundlegend meint, dass Squeeze beides, schnell und einfach
ist.

%package devel
Summary:	Development files for squeeze
Summary(de):	Entwicklerdateien für %{name}
Group:		Graphical desktop/Xfce
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}- 1 0 -d

%description devel
Development files for squeeze.

%description devel -l de
Entwicklerdateien für squeeze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%define Werror_cflags %nil
%configure2_5x \
	--enable-gslices \
	--enable-pathbar \
	--enable-toolbar \
	--enable-iter-slices

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


#Not needed
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
/sbin/ldconfig

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
/sbin/ldconfig


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS TODO
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/squeeze
%{_libdir}/thunar-archive-plugin/squeeze.tap
%{_datadir}/applications/squeeze.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/pixmaps/squeeze/*.png
%{_datadir}/locale/*
%{_datadir}/applications/*
%{_libdir}/*%{apiversion}.so.%{major}*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun 04 2017 threepio <threepio> 0.2.3-5uplos2017
- rebuild for uplos

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.3-5pclos2015
- rebuild against new libxfce4util7
- add missing BRs

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.2.3-4pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.2.3-4pclos2012
- process

* Thu Aug 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.3-4pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added german summary and description
- added xz compression

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.2.3-3pclos2010
- updated for xfce4.8

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.2.3-2pclos2010
- initial build for pclos 2010
